org.apache.catalina.deploy

## Class ContextLocalEjb

- java.lang.Object
- - org.apache.catalina.deploy.ResourceBase
  - - org.apache.catalina.deploy.ContextLocalEjb

- All Implemented Interfaces:
    Serializable, Injectable

      public class ContextLocalEjb
      extends ResourceBase

  Representation of a local EJB resource reference for a web application, as represented in a `<ejb-local-ref>` element in the deployment descriptor.
  Author:
    Craig R. McClanahan, Peter Rossbach (pero@apache.org)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.deploy.ResourceBase

      `resources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextLocalEjb()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getHome()`
    `String` | `getLink()`
    `String` | `getLocal()`
    `int` | `hashCode()`
    `void` | `setHome(String home)`
    `void` | `setLink(String link)`
    `void` | `setLocal(String local)`
    `String` | `toString()` Return a String representation of this object.

    - ### Methods inherited from class org.apache.catalina.deploy.ResourceBase

      `addInjectionTarget, getDescription, getInjectionTargets, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextLocalEjb

          public ContextLocalEjb()

  - ### Method Detail

    - #### getHome

          public String getHome()

    - #### setHome

          public void setHome(String home)

    - #### getLink

          public String getLink()

    - #### setLink

          public void setLink(String link)

    - #### getLocal

          public String getLocal()

    - #### setLocal

          public void setLocal(String local)

    - #### toString

          public String toString()

      Return a String representation of this object.
      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ResourceBase`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `ResourceBase`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.